import { Injector, OnInit } from '@angular/core';
import { AbstractControl, FormGroup } from '@angular/forms';
import { PropertyMetadata } from '@ui-model/angular';
export declare class FormControlComponent implements OnInit {
    injector: Injector;
    constructor(injector: Injector);
    uniqueId: number;
    group: FormGroup;
    field: PropertyMetadata;
    readonly control: AbstractControl;
    ngOnInit(): void;
    isCustomEditor(field: PropertyMetadata): boolean;
    isInput(field: PropertyMetadata): boolean;
    isTextArea(field: PropertyMetadata): boolean;
    isRequired(field: PropertyMetadata): boolean;
    static latestUniqueId: number;
}
