import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Toggle } from '@ui-model/core';
export declare class DatePickerComponent implements OnInit, ControlValueAccessor {
    constructor();
    toggle: Toggle;
    private _value;
    value: Date;
    ngOnInit(): void;
    writeValue(obj: Date): void;
    private _onChange;
    changed(): void;
    registerOnChange(fn: (value: Date) => void): void;
    private _onTouched;
    protected touched(): void;
    registerOnTouched(fn: () => void): void;
    disabled: boolean;
    setDisabledState(isDisabled: boolean): void;
}
