"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var angular_1 = require("@ui-model/angular");
var PromptModel = (function () {
    function PromptModel() {
    }
    __decorate([
        angular_1.Property({
            label: '',
        }),
        __metadata("design:type", String)
    ], PromptModel.prototype, "result", void 0);
    PromptModel = __decorate([
        angular_1.Model()
    ], PromptModel);
    return PromptModel;
}());
var ModalPromptComponent = (function () {
    function ModalPromptComponent(formMaker) {
        this.formMaker = formMaker;
        this.close = new core_1.EventEmitter();
        this.cancel = new core_1.EventEmitter();
        this.formGroup = this.formMaker.createFromModel(PromptModel);
    }
    Object.defineProperty(ModalPromptComponent.prototype, "defaultValue", {
        get: function () {
            return this.formGroup.value && this.formGroup.value.result;
        },
        set: function (value) {
            this.formGroup.setValue({ result: value || '' });
        },
        enumerable: true,
        configurable: true
    });
    ModalPromptComponent.prototype.ngOnInit = function () {
    };
    ModalPromptComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ui-modal-prompt',
                    templateUrl: './modal-prompt.component.html',
                    styleUrls: ['./modal-prompt.component.scss'],
                },] },
    ];
    /** @nocollapse */
    ModalPromptComponent.ctorParameters = function () { return [
        { type: angular_1.FormMaker, },
    ]; };
    ModalPromptComponent.propDecorators = {
        "close": [{ type: core_1.Output },],
        "cancel": [{ type: core_1.Output },],
        "title": [{ type: core_1.Input },],
        "message": [{ type: core_1.Input },],
        "icon": [{ type: core_1.Input },],
        "defaultValue": [{ type: core_1.Input },],
    };
    return ModalPromptComponent;
}());
exports.ModalPromptComponent = ModalPromptComponent;
//# sourceMappingURL=modal-prompt.component.js.map